
Conversion Tools - Feature #1688

move LEAVE/NEXT rewriting from annotations into fixups

10/22/2012 03:11 PM - Eric Faulhaber

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 8.00 hours

Target version:    

billable: No version:  

vendor_id: GCD   

Description

History

#1 - 10/22/2012 03:12 PM - Eric Faulhaber

This will allow simplification of the code handling this as well as improvements in unreachable processing (which happens after fixups and before

annotations).  For example, there is a case where an unlabeled next that isn't in a loop acts as a return, but today unreachable code processing

doesn't detect this.

See testcases/uast/next_as_return.p.

#2 - 10/31/2012 03:53 PM - Greg Shah

- Target version set to Code Improvements

#3 - 11/16/2016 12:46 PM - Greg Shah

- Target version deleted (Code Improvements)
